import type { _NSString } from "../Foundation/NSString.js";
import type { MLCActivationType } from "./MLCActivationType.js";
import type { MLCArithmeticOperation } from "./MLCArithmeticOperation.js";
import type { MLCComparisonOperation } from "./MLCComparisonOperation.js";
import type { MLCConvolutionType } from "./MLCConvolutionType.js";
import type { MLCGradientClippingType } from "./MLCGradientClippingType.js";
import type { MLCLSTMResultMode } from "./MLCLSTMResultMode.js";
import type { MLCLossType } from "./MLCLossType.js";
import type { MLCPaddingPolicy } from "./MLCPaddingPolicy.js";
import type { MLCPaddingType } from "./MLCPaddingType.js";
import type { MLCPoolingType } from "./MLCPoolingType.js";
import type { MLCReductionType } from "./MLCReductionType.js";
import type { MLCSampleMode } from "./MLCSampleMode.js";
import type { MLCSoftmaxOperation } from "./MLCSoftmaxOperation.js";
export declare function MLCActivationTypeDebugDescription(activationType: MLCActivationType): _NSString;
export declare function MLCArithmeticOperationDebugDescription(operation: MLCArithmeticOperation): _NSString;
export declare function MLCComparisonOperationDebugDescription(operation: MLCComparisonOperation): _NSString;
export declare function MLCConvolutionTypeDebugDescription(convolutionType: MLCConvolutionType): _NSString;
export declare function MLCGradientClippingTypeDebugDescription(gradientClippingType: MLCGradientClippingType): _NSString;
export declare function MLCLossTypeDebugDescription(lossType: MLCLossType): _NSString;
export declare function MLCLSTMResultModeDebugDescription(mode: MLCLSTMResultMode): _NSString;
export declare function MLCPaddingPolicyDebugDescription(paddingPolicy: MLCPaddingPolicy): _NSString;
export declare function MLCPaddingTypeDebugDescription(paddingType: MLCPaddingType): _NSString;
export declare function MLCPoolingTypeDebugDescription(poolingType: MLCPoolingType): _NSString;
export declare function MLCReductionTypeDebugDescription(reductionType: MLCReductionType): _NSString;
export declare function MLCSampleModeDebugDescription(mode: MLCSampleMode): _NSString;
export declare function MLCSoftmaxOperationDebugDescription(operation: MLCSoftmaxOperation): _NSString;
